using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace PizzaOrder
{
	[Activity (Label = "Address")]			
	public class Address : Activity
	{
		String deliverThis="";
		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);

			// Create your application here
			SetContentView (Resource.Layout.Address);
			
			var pizzaInfo = FindViewById<TextView>(Resource.Id.pizzaInfo);
			pizzaInfo.Text= "Selected Pizza: " + Intent.GetStringExtra("topps")?? "Don't know";
			
			Button sendBtn= FindViewById<Button>(Resource.Id.sendBt);
			EditText name = FindViewById<EditText>(Resource.Id.nameTx);
			EditText street= FindViewById<EditText>(Resource.Id.street);
			EditText houseNo= FindViewById<EditText>(Resource.Id.houseNo);
			EditText zipCode = FindViewById<EditText>(Resource.Id.zipCode);
			var smsUri = Android.Net.Uri.Parse ("smsto:+4745192494");
			var smsIntent = new Intent(Intent.ActionSendto, smsUri);
			sendBtn.Click += (sender, e) => {
				deliverThis=pizzaInfo.Text + ", "+name.Text+", "+street.Text+", "+houseNo.Text+", "+zipCode.Text;
				Toast.MakeText(this,deliverThis.ToString(),ToastLength.Long).Show ();
				smsIntent.PutExtra("body","hallo");
				StartActivity (smsIntent);
				
			};
		}
	}
}
