using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

namespace PizzaOrder
{
	[Activity (Label = "PizzaOrder", MainLauncher = true)]
	public class Activity1 : Activity
	{
		//int count = 1;
		String selectedPizza="";

		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);
			String selectedPizza;
			// Set our view from the "main" layout resource
			SetContentView (Resource.Layout.Main);
			TextView selectedPizzaLabel = FindViewById<TextView>(Resource.Id.selectedPizzaLabel);
			Gallery gallery = (Gallery) FindViewById<Gallery>(Resource.Id.gallery);
			gallery.Adapter = new ImageAdapter(this);

			gallery.ItemClick += delegate(object sender, AdapterView.ItemClickEventArgs e) {
				switch(e.Position){
				case 0:
					selectedPizza="Hand";
					break;
				case 1:
					selectedPizza="Natural";
					break;
				case 2:
					selectedPizza="Pan";
					break;
				case 3:
					selectedPizza="Stuffed Crust";
					break;
				case 4:
					selectedPizza="Thin N Crispy";
					break;
				default:
					selectedPizza="Unspecified error occurred";
					break;
				}
				//Toast.MakeText (this, selectedPizza, ToastLength.Short).Show ();
				selectedPizzaLabel.Text = selectedPizza.Trim();
			};
			// Get our button from the layout resource,
			// and attach an event to it
			Button showToppingsBtn = FindViewById<Button> (Resource.Id.showToppingsBtn);
			
			showToppingsBtn.Click += (sender,e)=> {
				var second = new Intent(this, typeof(Toppings));
				second.PutExtra("pizzaBottom", selectedPizzaLabel.Text.ToString ());
				StartActivity (second); };
		}
	}
}


