/**
 * @author jonecx
 */
var win = Ti.UI.currentWindow;
var orderReq = Titanium.Network.createHTTPClient();

var names = Titanium.UI.createTextField({
	color:'#336699',
	top:100,
	left:10,
	width:300,
	height:40,
	hintText:'Name',
	backgroundImage:'../images/textfield.png',
	paddingLeft:8,
	paddingRight:8,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_NEXT,
	suppressReturn:false
});

var address1 = Titanium.UI.createTextField({
	color:'#336699',
	top:140,
	left:10,
	width:300,
	height:40,
	hintText:'Street',
	backgroundImage:'../images/textfield.png',
	paddingLeft:8,
	paddingRight:8,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_NEXT,
	suppressReturn:false
});

var address2 = Titanium.UI.createTextField({
	color:'#336699',
	top:180,
	left:10,
	width:300,
	height:40,
	hintText:'Houser no, Zip Code',
	backgroundImage:'../images/textfield.png',
	paddingLeft:8,
	paddingRight:8,
	keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
	returnKeyType:Titanium.UI.RETURNKEY_DEFAULT
});

names.addEventListener('return', function(){address1.focus();});
address1.addEventListener('return', function(){address2.focus();});
win.add(names);
win.add(address1);
win.add(address2);

function getFormattedPizza(){
	var text = win.crust + 'pizza with:\n';
	if(win.toppings.length == 0){
		text += '&bull; Plain (Cheese pizza)\n';
	}else{
		for(var i =0;i < win.toppings.length;i++){
			text += '&bull;' + win.toppings[i] + '\n';
		}
	}
	return text;
}


var pizzaInfoText = Ti.UI.createLabel({
	text:getFormattedPizza(),
	font:{
		fontFamily:'Verdana',
		fontSize:14
	},
	color:'#fff',
	shadowColor:'#333',
	shadowOffset:{x:1,y:1},
	textAlign:'left',
	width:Ti.Platform.displayCaps.platformWidth,
	height:160,
	top:210,
	left:10
});
win.add(pizzaInfoText);

var order = Ti.UI.createButton({
	width:137,
	height:75,
	backgroundImage:'../images/order.png',
	top:385,
	left:165,
	opacity:0
});

var cancel = Ti.UI.createButton({
	width:137,
	height:75,
	backgroundImage:'../images/cancel.png',
	top:385,
	left:10,
	opacity:0
});

if(Ti.Platform.osname == 'android'){
	order.image = '../images/order.png';
	cancel.iamge = '../images/cancel.png';
}

win.add(order);
win.add(cancel);

order.animate({
	opacity:1,
	duration:500
});

cancel.animate({
	opacity:1,
	duration:500
});

//submitting orders
order.addEventListener('click', function(){
	var sms_content;
	sms_content = names.value+", "+address1.value+", "+address2.value;
	if(Ti.Platform.osname == 'android'){
		var intent = Ti.Android.createIntent({
			action: Ti.Android.ACTION_VIEW,
			type: 'vnd.android-dir/mms-sms',
		});
		intent.putExtra('sms_body', sms_content);
		intent.putExtra('address','+4745192494');
		try{
			Ti.Android.currentActivity.startActivity(intent);
	}catch (ActivityNotFoundException){
		Ti.UI.createNotification({message:"Error"}).show();
	}
  }
});
