using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace PizzaOrder
{
	[Activity (Label = "Toppings")]			
	public class Toppings : Activity
	{
		String[] totalToppings=new String[]{"","","","",""};
		String toBeSent="";
		String finalData="";
			
		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);

			// Create your application here
			SetContentView(Resource.Layout.Toppings);
			
			
			CheckBox baconz = FindViewById<CheckBox>(Resource.Id.bacon);
			baconz.Click += (sender, e) => {
				if(baconz.Checked)
					totalToppings[0] = "Bacon";//baconz.Text;
				else
					totalToppings[0] = "";
			};
			
			CheckBox beefz = FindViewById<CheckBox>(Resource.Id.beef);
			beefz.Click += (sender, e) => {
				if(beefz.Checked)
					totalToppings[1] = "Beef";//beefz.Text;
				else
					totalToppings[1] = "";
			};
			
			CheckBox grilledz = FindViewById<CheckBox>(Resource.Id.GrilledChicken);
			grilledz.Click += (sender, e) => {
				if(grilledz.Checked)
					totalToppings[2] = "Grilled Chicken"; //grilledz.Text;
				else
					totalToppings[2] = "";
			};
				
			CheckBox italianz = FindViewById<CheckBox>(Resource.Id.italianSausage);
			italianz.Click += (sender, e) => {
				if(italianz.Checked)
					totalToppings[3] = "Italian Sausage"; //italianz.Text;
				else
					totalToppings[3] = "";
			};
			CheckBox jalapenosz = FindViewById<CheckBox>(Resource.Id.jalapenos);
			jalapenosz.Click += (sender, e) => {
				if(jalapenosz.Checked)
					totalToppings[4] = "Jalapenos";//jalapenosz.Text;
				else
					totalToppings[4] = "";
			};                 
			                                            
			                                            
			String selectedPizzaBottom=Intent.GetStringExtra ("pizzaBottom");
			Button addressButton = FindViewById<Button>(Resource.Id.deliver);
			addressButton.Click += (sender, e) => {
				
				toBeSent="";
				for(int i=0;i<=totalToppings.Length-1;i++)
					if(totalToppings[i].ToString().Length != 0)
						toBeSent += totalToppings[i]+", ";
				
				finalData=selectedPizzaBottom.ToString()+"|"+toBeSent.ToString ();
				
				Toast.MakeText(this,finalData.ToString(),ToastLength.Long).Show ();
				var third = new Intent(this, typeof(Address));
				third.PutExtra("topps",finalData.ToString());
				//third.PutExtra("topps", finalData);		                                            
				StartActivity (third);};
		}
	}	
}

